Subject: bug#11075: 24.0.94; Arabic character composition

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2012 19:06:27 +0200

> Date: Fri, 23 Mar 2012 16:44:01 +0100
> From: Joost Kremers <[email-masked]>
> 
> Although Emacs 24 has bidi support (yay!), character composition for Arabic
> does not work for me on OS X. (In the Arabic script, each character has
> different forms depending on its position in the word: beginning, middle or
> end. These shapes should be selected automatically by the software, but
> they are not.)

Unless you build Emacs with a library that supports Arabic shaping,
you won't be able to have it.  Does OS X offer such a library?

> On Linux, Emacs needs to be compiled with libotf in order to provide the
> necessary character composition, which then works perfectly.

Can't libotf be compiled on OS X?